package de.lmu.subspace.algorithm;


import java.io.File;
import java.io.BufferedWriter;
import java.io.FileWriter;
import weka.*;
import weka.core.Instances;
import weka.core.converters.ArffSaver;
import weka.core.converters.CSVLoader;


public class Evaluation{
	
    public Evaluation() {

    }
	
    public static void main(String[] args){
    	
    	long   start   =   System.currentTimeMillis(); 
    	
    	String path = "E:/Document/workplace/Stream/test/";
    	String fn = "text";
    	
		try {
			
			    CSVLoader loader = new CSVLoader();
			    loader.setSource(new File(path+fn+".csv"));
			    Instances data = loader.getDataSet();
		    
				data.setClassIndex(data.numAttributes() - 1);
				System.out.println(data.numAttributes());
				System.out.println(data.numInstances());
//				
			    ArffSaver saver = new ArffSaver();
			    saver.setInstances(data);
			    saver.setFile(new File(path+"test2.arff"));
			    //saver.setDestination(new File(path+"test2.arff"));
			    saver.writeBatch();

		} catch (Exception e) {
			e.printStackTrace();
		}
    	 

    	
    }
  
  
    
    
	
}